#!/bin/bash
#  $HeadURL: https://svn.pasta.freemyip.com/main/paa/tags/4/tests/bin/PAA106_upgrades.sh $ $LastChangedRevision: 10696 $
PROGNAME=`basename $0`
SANDPIT=`pwd`
. $(ade-config ade_share_prefix)/include/adetestsupport.sh

##############################################################################
#
#  Purpose of test: to verify basic paa functions
#
#  Bug id:          <none>
#
##############################################################################

#  Ensure dates are consistently formatted
export LC_ALL=C
export TZ=UTC

#  Start of support functions
#  End of support functions

echo "setting up environment ..."
#  Set variables used in this test
#  Ensure DB is created in sandpit
export PAA_RCDIR=$SANDPIT/.paa
#  Ensure effects on OS (modiying the *OS*'s idea of repos, restarting apache, etc) are not real
export PAA_ROOTDIR=$SANDPIT
#  Ensure user's real shares are not deleted (even though this script doesn't create any)
export PAA_STATE_PREFIX=$SANDPIT/var
echo

for X in 0 1 2 3; do
    echo "installing schema $X database ..."
    mkdir -p $PAA_RCDIR
    cp $ADETEST_MODROOT/tests/in/PAA106_upgrades.paa-$X.sqlite $PAA_RCDIR/paa.sqlite
    echo

    echo "inspecting ..."
    paa --paths
    echo

    echo "doing a list, which should fail ..."
    adetestsupport_invert_rc "paa listrepos"
    echo

    echo "doing an upgrade ..."
    #  The variant text is too complicated to filter, so we just discard it.
    paa -v upgrade 2>&1 | grep -v 'saving old contents' || true
    echo

    echo "inspecting ..."
    paa --paths
    echo

    echo "doing a list ..."
    paa listrepos
    echo
done
