#!/bin/bash
#  $HeadURL: https://svn.pasta.freemyip.com/main/paa/tags/4/tests/bin/PAA108_sqlite_bug.sh $ $LastChangedRevision: 10280 $
PROGNAME=`basename $0`
SANDPIT=`pwd`
. $(ade-config ade_share_prefix)/include/adetestsupport.sh

##############################################################################
#
#  Purpose of test: to verify that sqlite is not suffering from the bug
#                   described at http://lists.freebsd.org/pipermail/freebsd-ports-bugs/2011-November/222957.html
#                   (corruption of blobs) or that a workaround is in place.
#
#  Bug id:          <none>
#
##############################################################################

#  Ensure dates are consistently formatted
export LC_ALL=C

#  Start of support functions
#  End of support functions

#  Start of environment setup
export PAA_RCDIR=$SANDPIT/.paa
export PAA_ROOTDIR=$SANDPIT
export PAA_STATE_PREFIX=$SANDPIT/var
export EDITOR=cat
UNAMEN=$(uname -n)
#  End of environment setup

#  Start of initialisation
echo "setting up ..."
mkdir -p $PAA_RCDIR
cp $ADETEST_MODROOT/tests/in/PAA106_upgrades.paa-0.sqlite $PAA_RCDIR/paa.sqlite
#  End of initialisation

#  Start of guts
echo "doing an upgrade ..."
#  Discard the output because the variant text is too complicated to filter
#  (and it is not by this output that we know if test failed).
paa -v upgrade > /dev/null 2>&1
echo

echo "extracting one repo's config file ..."
paa editrepo localpublic-deb
echo
#  End of guts
